Subject: [bug#77943] [PATCH 1/2] services: shepherd: Provide the right #:kernel-log-file on the Hurd.

From: [email-masked]
Date: Mon, 2 Jun 2025 22:02:01 +0200 (CEST)

Hello,

Jun 2, 2025, 16:09 by [email-masked]:

> The issue with ED_WOULD_BLOCK is still present on hurd-0.9.git20250420 on core-packages-team. 
>
> Right, I started looking into it back then but then didn’t take the time
> to track it down.
>
>> I tried it for a while with #:kernel-log-file set to #f and it felt
>> like it was slowing down shepherd significantly enough to be mildly
>> annoying but idk if this is something I only noticed because I was
>> actively looking for changes.
>>
>
> How did you notice that it was slowing down?  That was with 1.0.5,
> right?
>

I dont know if I am just imagining this but anything ssh related felt a bit laggy but idk how the syslog should cause this except that sshd logs to syslog and shepherd is also managing the sshd socket.

 Also things like herd status felt a lot slower.

But all of this was not really consistent and I dont know if I am just making this up so this might be all wrong.
No this was all with 1.0.4, tested this on master around when you sent the initial version. And on core-packages-team shepherd is still 1.0.4.

> Thanks,
> Ludo’.